Page MenuHomePhabricator

Teach store to recognize “assertuser failed” error type(s?)
Closed, ResolvedPublic

Description

Probably needs to distinguish between:

  • Not logged in anymore
  • Logged in as someone else (treat like unknown error)
  • Suddenly logged in [i. e. bridge started as logged-out but user is now logged in] (treat like… what?)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2020, 10:25 AM
Michael claimed this task.May 6 2020, 12:08 PM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-19 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptMay 6 2020, 12:08 PM

Change 594741 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: teach store about assert user errors

https://gerrit.wikimedia.org/r/594741

Change 594741 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: teach store about assert user errors

https://gerrit.wikimedia.org/r/594741

Lucas_Werkmeister_WMDE closed this task as Resolved.May 11 2020, 11:43 AM

Logged in as someone else (treat like unknown error)

This one became part of https://gerrit.wikimedia.org/r/594742, for the record.